package sgc.portal.ei.ei0101.persistence;

import org.apache.ibatis.annotations.Mapper;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.ei.ei0101.dto.EI01010001USearch;
import sgc.portal.ei.ei0101.model.EI01010001U;

import java.util.List;

@Mapper
public interface EI01010001UMapper {
	
	/*
     * SEARCH LIST
     */
    List<EasyHashMap<String, Object>> getList(EI01010001USearch search);
    
    /*
     * INSERT
     */
    int insert(EI01010001U eI01010001U);
    
    /*
     * UPDATE
     */
    int update(EI01010001U eI01010001U);
    
    /*
     * DELETE
     */
    int delete(EI01010001U eI01010001U);
    
}
